#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libdmx
Version		:	1.1.5
Release		:	16.2.0.rel%{?dist}
Summary		:	Window System DMX (Distributed Multihead X) extension library
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/lib/

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Provides	:	libdmx

BuildRequires	:	fontconfig-devel
BuildRequires	:	libxcb
#-----------------------------------------------------------------------------
%description
X.Org X11 libxmx runtime library

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_includedir}/X11/extensions/dmxext.h
%{_libdir}/%{shortname}*.so*
%{_libdir}/pkgconfig/dmx.pc
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{shortname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

autoconf -f -i 
./configure						\
	$XORG_CONFIG					\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
